From 0bb467b6e1eeb61248aa0447bc3eaf0227f0750f Mon Sep 17 00:00:00 2001
From: Tim McNamara <paperless@timmcnamara.co.nz>
Date: Wed, 14 Jul 2010 14:53:11 +0200
Subject: [PATCH] Catch network errors when trying to register to the school server #2062
Organization: Sugar Labs Foundation
X-Subversion: sucks

---
 src/jarabe/desktop/schoolserver.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/jarabe/desktop/schoolserver.py b/src/jarabe/desktop/schoolserver.py
index fc9ddeb..a05f56c 100644
--- a/src/jarabe/desktop/schoolserver.py
+++ b/src/jarabe/desktop/schoolserver.py
@@ -99,7 +99,7 @@ def register_laptop(url=REGISTER_URL):
     server = ServerProxy(url)
     try:
         data = server.register(sn, nick, uuid_, profile.pubkey)
-    except (Error, socket.error):
+    except (Error, TypeError, socket.error):
         logging.exception('Registration: cannot connect to server')
         raise RegisterError(_('Cannot connect to the server.'))
 
-- 
1.7.1.1

